define([
    "dojo/_base/declare",

    "aps/nav/ViewPlugin"
], function (
    declare,

    ViewPlugin
) {
    return declare(ViewPlugin, {
        init: function (mediator) {
            mediator.updateState = function (domain, state) {
                state.status = "Not Assigned";
                state.title = "Virtual Server";
                if (domain.services && domain.services.length > 0) {
                    domain.services.forEach(function (service) {
                        if (service.aps.type === "http://aps-standard.org/samples/dns1p/vps/1.0") {
                            state.status = "Assigned";
                        }
                    });
                }
            };
        }
    });
});